---
title: Solana Validator Initiatives
sidebar_label: Validator Initiatives
sidebar_position: 4
---

There are a number of initiatives that may help operators get started or grow their delegation.  All of these initiatives are completely optional.  All Solana clusters are permissionless and an operator can join at any time.


## Solana Foundation Delegation Program

The Solana Foundation helps facilitate the growth of the consensus validator network by running a SOL delegation program. The program is open to new applicants. You can find out more information [here](https://solana.org/delegation-program)

## Tour De Sun 22

The Tour De Sun 22 program is closed and no longer accepting applications. Please see the [End of Tour De Sun 22 blog post](https://solana.com/news/solana-foundation-announces-end-of-tour-de-sun-22) for more information.

## Solana Foundation Server Program

Separately from the delegation program, The Solana Foundation offers a server program that provides servers in various data-centers all over the world. If you would like to run a consensus validator or RPC node, you may use this program to rent bare metal servers in various data-centers. The servers meet or exceed the [Solana validator hardware specs](./requirements.md#hardware-recommendations). No long-term lease commitments are required. To find out more, visit the [Solana server program page](https://solana.org/server-program).

## Stake Pools

The Solana ecosystem operates various stake pools.  These stake pools delegate stake to validators using various delegation strategies. To learn more about stake pools and their delegation strategies, visit the [Solana Foundation stake pools page](https://solana.org/stake-pools).